# Draw
TKDraw
DrawTrSurf

# DrawTrSurf_Drawable Class Reference

this class adds to the Drawable3D methods to
display Curves and Curves on Surface.
The discretisation, number of points on a Curve,
is stored in this class.

`#include <DrawTrSurf_Drawable.hxx>`

Inheritance diagram for DrawTrSurf_Drawable:

[legend]

## Public Member Functions

Standard_EXPORT void | DrawCurve2dOn (Adaptor2d_Curve2d &C, Draw_Display &D) const
| Draw a polygon of the curve on the Display .
Standard_EXPORT void | DrawCurveOn (Adaptor3d_Curve &C, Draw_Display &D) const
| Draw a polygon of the curve on the Display .
Standard_EXPORT void | DrawIsoCurveOn (Adaptor3d_IsoCurve &C, const GeomAbs_IsoType T, const Standard_Real P, const Standard_Real F, const Standard_Real L, Draw_Display &D) const
| Load C with the specified iso and Draw a polygon of the curve on the Display .
virtual Standard_EXPORT void | DrawOn (Draw_Display &dis) const =0
| this is defined only to tell C++ not to complain about inheriting a pure virtual method.
void | SetDiscretisation (const Standard_Integer Discret)
Standard_Integer | GetDiscretisation () const
void | SetDeflection (const Standard_Real Deflection)
Standard_Real | GetDeflection () const
void | SetDrawMode (const Standard_Integer DrawMode)
Standard_Integer | GetDrawMode () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | DrawTrSurf_Drawable (const Standard_Integer discret, const Standard_Real deflection=0.01, const Standard_Integer DrawMode=0)
| set the number of points on a curve at creation.

## Private Attributes

Standard_Integer | myDrawMode
Standard_Integer | myDiscret
Standard_Real | myDeflection

## Constructor & Destructor Documentation

Standard_EXPORT DrawTrSurf_Drawable::DrawTrSurf_Drawable | ( | const Standard_Integer | discret,
|  | const Standard_Real | deflection = `0.01`,
|  | const Standard_Integer | DrawMode = `0`
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void DrawTrSurf_Drawable::DrawCurve2dOn | ( | Adaptor2d_Curve2d & | C,
|  | Draw_Display & | D
| ) | const

Standard_EXPORT void DrawTrSurf_Drawable::DrawCurveOn | ( | Adaptor3d_Curve & | C,
|  | Draw_Display & | D
| ) | const

Standard_EXPORT void DrawTrSurf_Drawable::DrawIsoCurveOn | ( | Adaptor3d_IsoCurve & | C,
|  | const GeomAbs_IsoType | T,
|  | const Standard_Real | P,
|  | const Standard_Real | F,
|  | const Standard_Real | L,
|  | Draw_Display & | D
| ) | const

virtual Standard_EXPORT void DrawTrSurf_Drawable::DrawOn | ( | Draw_Display & | dis | ) | const`[pure virtual]`

| Implements Draw_Drawable3D. Implemented in DrawTrSurf_BezierCurve, DrawTrSurf_BezierCurve2d, DrawTrSurf_BezierSurface, DrawTrSurf_BSplineCurve, DrawTrSurf_BSplineCurve2d, DrawTrSurf_BSplineSurface, DrawTrSurf_Curve, DrawTrSurf_Curve2d, DrawTrSurf_Surface, TestTopOpeDraw_DrawableC2D, TestTopOpeDraw_DrawableC3D, TestTopOpeDraw_DrawableMesure, and TestTopOpeDraw_DrawableSUR.

Standard_Real DrawTrSurf_Drawable::GetDeflection | ( |  | ) | const`[inline]`

Standard_Integer DrawTrSurf_Drawable::GetDiscretisation | ( |  | ) | const`[inline]`

Standard_Integer DrawTrSurf_Drawable::GetDrawMode | ( |  | ) | const`[inline]`

Standard_EXPORT const DrawTrSurf_Drawable::Handle | ( | Standard_Type |  | ) | const

Reimplemented from Draw_Drawable3D.

Reimplemented in DrawFairCurve_Batten, DrawFairCurve_MinimalVariation, DrawTrSurf_BezierCurve, DrawTrSurf_BezierCurve2d, DrawTrSurf_BezierSurface, DrawTrSurf_BSplineCurve, DrawTrSurf_BSplineCurve2d, DrawTrSurf_BSplineSurface, DrawTrSurf_Curve, DrawTrSurf_Curve2d, DrawTrSurf_Surface, TestTopOpeDraw_DrawableC2D, TestTopOpeDraw_DrawableC3D, TestTopOpeDraw_DrawableMesure, and TestTopOpeDraw_DrawableSUR.

void DrawTrSurf_Drawable::SetDeflection | ( | const Standard_Real | Deflection | ) | `[inline]`

void DrawTrSurf_Drawable::SetDiscretisation | ( | const Standard_Integer | Discret | ) | `[inline]`

void DrawTrSurf_Drawable::SetDrawMode | ( | const Standard_Integer | DrawMode | ) | `[inline]`

## Field Documentation

Standard_Real DrawTrSurf_Drawable::myDeflection `[private]`

Standard_Integer DrawTrSurf_Drawable::myDiscret `[private]`

Standard_Integer DrawTrSurf_Drawable::myDrawMode `[private]`

The documentation for this class was generated from the following files:

- DrawTrSurf_Drawable.hxx
- DrawTrSurf_Drawable.lxx